 Contributing
====================

Please follow the below workflow when contributing to TigerOS. This helps prevent issues when merging your pull requests. 

### Workflow
1. Fork this repository. 
2. Create a new branch in your fork for working on your changes.
3. Submit a pull request with your changes against the devel branch of the TigerOS repo.

 Pull requests will be reviewed as time permits.

### Additional Reading
* [Configuring your Git Environment for TigerOS Development](https://help.github.com/articles/configuring-a-remote-for-a-fork/)
* [How Git works with GitHub](https://git-scm.com/book/en/v2/GitHub-Contributing-to-a-Project)

### Some things to keep in mind:
* Due to this being a student run project, there may be a delay in getting a response from the developers.
* All scripts added to github/gitlab should have 644 permissions.
* When possible, please contact the maintainer or creator of a component through a github issue or IRC. The email accounts listed are university accounts and may filter your message as spam. 
* Contact tigeros@ritlug.com with any questions. Please include the phrase TigerOS in the subject.
